icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

Opera < 10.61 Multiple Vulnerabilities

High

Synopsis

The remote host has a web browser that is vulnerable to multiple attack vectors.

Description

The remote host is running the Opera web browser.

Versions of Opera earlier than 10.61 are potentially affected by multiple vulnerabilities :

- A heap overflow when performing painting operations on an HTML5 canvas can result in execution of arbitrary code, (KB 966)

- An issue with tab focus is open to an attack where it is used to obscure a download dialog that is in another tab. The user can be tricked into clicking buttons in the dialog, resulting in the downloaded file being executed. (KB 967)

- Certain types of content concerning the news feed preview do not have their scripts removed properly, possibly resulting in subscription of feeds without the user's consent. (KB 968)

Loading an animated PNG image may cause high CPU usage with no response from the browser. (CVE-2010-3021)

A memory corruption issue exists when handling an html page with a very large SIZE parameter in the SELECT tag. (CVE-2011-1824)

Solution

Upgrade to Opera 10.61 or later.